> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eventgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys

> List all API keys belonging to the authenticated user



## OpenAPI

````yaml GET /api/v1/keys
openapi: 3.0.3
info:
  title: EventGraph API
  description: >-
    Unified prediction market data across Polymarket, Kalshi, Limitless, and
    OpinionTrade.
  version: 1.0.0
  contact:
    name: EventGraph
    url: https://eventgraph.ai
    email: info@eventgraph.ai
servers:
  - url: https://app.eventgraph.ai
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/v1/keys:
    get:
      tags:
        - Authentication
      summary: List API Keys
      description: List all API keys belonging to the authenticated user.
      operationId: listApiKeys
      responses:
        '200':
          description: List of API keys
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Envelope'
components:
  schemas:
    Envelope:
      type: object
      properties:
        data:
          description: Response payload
        timestamp:
          type: string
          format: date-time
        meta:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your EventGraph API key (eg_live_...)

````